#ifndef ITABLEMODEL_H
#define ITABLEMODEL_H

#include <QString>
#include <QAbstractTableModel>

#include "core_global.h"

class CORESHARED_EXPORT ITableModel : public QAbstractTableModel
{
    Q_OBJECT
public:
    explicit ITableModel(QObject *parent = NULL);

protected:
    virtual void handleFilter(const QString &filter) = 0;
    virtual void handleRestore() = 0;

public slots:
    void filter(const QString &filter);
    void restore();
};

#endif // ITABLEMODEL_H
